-- Past Relics campaign
-- M01_Intro_DEMO by Alex 'Dark_Axel' van melsen, Gavin 'WyvernNZ' Crayk and Khar-Sidius

--Import the library files
dofilepath("Data:scripts/scar/scar_Util.lua")

--Global Groups
SobGroup_Create( "Asteroid_Harvesters" )

ep_VaygrFleet = 0

--Set objectives
obj_prim_newobj_id = 0
obj_sec_asteroid1_id = 0
obj_sec_asteroid2_id = 0

function OnInit()
	--MPRestrict()
	Rule_Add("Rule_Init")
	Camera_UseCameraPoint("Cam_Init")
end

function Rule_Init()
	Event_Start( "IntelEvent_Intro" )

	Rule_Add( "Rule_Vaygr_Raiders_End" )
	Rule_Add( "Rule_Player_Wins" )
	Rule_Add( "Rule_Player_Loses" )

	-- Set Names
	Player_SetPlayerName(1, '$8960')
	Player_SetPlayerName(2, '$8961')
	Player_SetPlayerName(3, '$8962')
	
	-- Sjet Exploration Fleet subsystems
	SobGroup_CreateSubSystem("Baar_Ett", "FighterProduction")
	SobGroup_CreateSubSystem("Baar_Ett", "CorvetteProduction")
	SobGroup_CreateSubSystem("Baar_Ett", "FrigateProduction")
	SobGroup_CreateSubSystem("Baar_Ett", "Research")
	SobGroup_CreateSubSystem("Baar_Ett", "AdvancedResearch")
	SobGroup_CreateSubSystem("Baar_Ett", "AdvancedArray")
	SobGroup_CreateSubSystem("Veer_Kah", "Firecontroltower")
	SobGroup_CreateSubSystem("Veer_Kah", "Hyperspace")

	-- Vaygr Fleet subsystems
	SobGroup_CreateSubSystem("Vgr_raider_battlecruiser", "Firecontroltower")
	SobGroup_CreateSubSystem("Vgr_raider_battlecruiser", "Hyperspace")
	SobGroup_CreateSubSystem("Vgr_asteroid_carrier", "FighterProduction")
	SobGroup_CreateSubSystem("Vgr_asteroid_carrier", "AdvancedArray")
	SobGroup_CreateSubSystem("Vgr_asteroid_carrier", "Research")
	SobGroup_CreateSubSystem("Vgr_asteroid_carrier", "Firecontroltower")
	SobGroup_CreateSubSystem("Vgr_main_battlecruiser1", "Firecontroltower")
	SobGroup_CreateSubSystem("Vgr_main_battlecruiser1", "HyperspaceInhibitor")
	SobGroup_CreateSubSystem("Vgr_main_battlecruiser2", "Firecontroltower")
	SobGroup_CreateSubSystem("Vgr_main_battlecruiser2", "HyperspaceInhibitor")
	SobGroup_CreateSubSystem("Vgr_carrier1", "FrigateProduction")
	SobGroup_CreateSubSystem("Vgr_carrier2", "CorvetteProduction")
	SobGroup_CreateSubSystem("Vgr_carrier1", "AdvancedArray")
	SobGroup_CreateSubSystem("Vgr_carrier2", "AdvancedArray")
	SobGroup_CreateSubSystem("Vgr_carrier1", "Research")
	SobGroup_CreateSubSystem("Vgr_carrier2", "Research")
	SobGroup_CreateSubSystem("Vgr_carrier1", "Hyperspace")
	SobGroup_CreateSubSystem("Vgr_carrier2", "Hyperspace")

	-- Research options
	Player_GrantResearchOption(0, "ECMProbe")
	Player_GrantResearchOption(0, "SensDisProbe")
	Player_GrantResearchOption(0, "RepairAbility")
	Player_GrantResearchOption(0, "ResourceCollectorHealthUpgrade1")
	Player_GrantResearchOption(0, "ResourceCollectorHealthUpgrade2")
	Player_GrantResearchOption(0, "ResourceControllerHealthUpgrade1")
	Player_GrantResearchOption(0, "ResourceControllerHealthUpgrade2")
	Player_GrantResearchOption(0, "ScoutEMPAbility")
	Player_GrantResearchOption(0, "ScoutPingAbility")
	Player_GrantResearchOption(0, "InterceptorMAXSPEEDUpgrade1")
	Player_GrantResearchOption(0, "InterceptorMAXSPEEDUpgrade2")
	Player_GrantResearchOption(0, "AttackBomberImprovedBombs")
	Player_GrantResearchOption(0, "AttackBomberMAXSPEEDUpgrade1")
	Player_GrantResearchOption(0, "AttackBomberMAXSPEEDUpgrade2")
	Player_GrantResearchOption(0, "AssaultCorvetteHealthUpgrade1")
	Player_GrantResearchOption(0, "AssaultCorvetteHealthUpgrade2")
	Player_GrantResearchOption(0, "AssaultCorvetteMAXSPEEDUpgrade1")
	Player_GrantResearchOption(0, "AssaultCorvetteMAXSPEEDUpgrade2")
	Player_GrantResearchOption(0, "GraviticAttractionMines")
	Player_GrantResearchOption(0, "PulsarCorvetteHealthUpgrade1")
	Player_GrantResearchOption(0, "PulsarCorvetteHealthUpgrade2")
	Player_GrantResearchOption(0, "PulsarCorvetteMAXSPEEDUpgrade1")
	Player_GrantResearchOption(0, "PulsarCorvetteMAXSPEEDUpgrade2")
	Player_GrantResearchOption(0, "ImprovedTorpedo")
	Player_GrantResearchOption(0, "TorpedoFrigateHealthUpgrade1")
	Player_GrantResearchOption(0, "TorpedoFrigateHealthUpgrade2")
	Player_GrantResearchOption(0, "TorpedoFrigateMAXSPEEDUpgrade1")
	Player_GrantResearchOption(0, "TorpedoFrigateMAXSPEEDUpgrade2")
	Player_GrantResearchOption(0, "IonCannonFrigateHealthUpgrade1")
	Player_GrantResearchOption(0, "IonCannonFrigateHealthUpgrade2")
	Player_GrantResearchOption(0, "IonCannonFrigateMAXSPEEDUpgrade1")
	Player_GrantResearchOption(0, "IonCannonFrigateMAXSPEEDUpgrade2")
	Player_GrantResearchOption(0, "AssaultFrigateMAXSPEEDUpgrade1")
	Player_GrantResearchOption(0, "AssaultFrigateMAXSPEEDUpgrade2")
	Player_GrantResearchOption(0, "AssaultFrigateHealthUpgrade1")
	Player_GrantResearchOption(0, "AssaultFrigateHealthUpgrade2")
	Player_GrantResearchOption(0, "DefenseFieldFrigateShield")
	Player_GrantResearchOption(0, "CarrierHealthUpgrade1")
	Player_GrantResearchOption(0, "CarrierHealthUpgrade2")
	Player_GrantResearchOption(0, "CarrierMAXSPEEDUpgrade1")
	Player_GrantResearchOption(0, "CarrierMAXSPEEDUpgrade2")
	Player_GrantResearchOption(0, "CarrierBUILDSPEEDUpgrade1")
	Player_GrantResearchOption(0, "BattlecruiserHealthUpgrade1")
	Player_GrantResearchOption(0, "BattlecruiserHealthUpgrade2")
	Player_GrantResearchOption(0, "BattlecruiserMAXSPEEDUpgrade1")
	Player_GrantResearchOption(0, "BattlecruiserMAXSPEEDUpgrade2")
	Player_GrantResearchOption(0, "DestroyerHealthUpgrade1")
	Player_GrantResearchOption(0, "DestroyerHealthUpgrade2")
	Player_GrantResearchOption(0, "DestroyerMAXSPEEDUpgrade1")
	Player_GrantResearchOption(0, "DestroyerMAXSPEEDUpgrade2")
	Player_GrantResearchOption(0, "HyperspaceCostUpgrade1")
	Player_GrantResearchOption(0, "HyperspaceCostUpgrade2")

	Player_GrantResearchOption(1, "CorvetteTech")
	Player_GrantResearchOption(1, "FrigateTech")
	Player_GrantResearchOption(1, "ProbeSensorDisruption")
	Player_GrantResearchOption(1, "ProbeProxSensor")
	Player_GrantResearchOption(1, "LanceBeams")
	Player_GrantResearchOption(1, "PlasmaBombs")
	Player_GrantResearchOption(1, "CorvetteGraviticAttraction")
	Player_GrantResearchOption(1, "CorvetteLaser")
	Player_GrantResearchOption(1, "CorvetteCommand")
	Player_GrantResearchOption(1, "FrigateAssault")
	Player_GrantResearchOption(1, "FrigateInfiltrationTech")
	Player_GrantResearchOption(1, "HyperspaceGateTech")
	Player_GrantResearchOption(1, "RepairAbility")
	Player_GrantResearchOption(1, "ScoutEMPAbility")
	Player_GrantResearchOption(1, "BomberImprovedBombs")
	Player_GrantResearchOption(1, "SuperCapHealthUpgrade1")
	Player_GrantResearchOption(1, "SuperCapHealthUpgrade2")
	Player_GrantResearchOption(1, "SuperCapSpeedUpgrade1")
	Player_GrantResearchOption(1, "SuperCapSpeedUpgrade2")
	Player_GrantResearchOption(1, "FighterspeedUpgrade1")
	Player_GrantResearchOption(1, "FighterspeedUpgrade2")
	Player_GrantResearchOption(1, "CorvetteHealthUpgrade1")
	Player_GrantResearchOption(1, "CorvetteHealthUpgrade2")
	Player_GrantResearchOption(1, "CorvetteSpeedUpgrade1")
	Player_GrantResearchOption(1, "CorvetteSpeedUpgrade2")
	Player_GrantResearchOption(1, "FrigateHealthUpgrade1")
	Player_GrantResearchOption(1, "FrigateHealthUpgrade2")
	Player_GrantResearchOption(1, "FrigateSpeedUpgrade1")
	Player_GrantResearchOption(1, "SpeedUpgrade2")
	Player_GrantResearchOption(1, "UtilityHealthUpgrade1")
	Player_GrantResearchOption(1, "UtilityHealthUpgrade2")

	Player_GrantResearchOption(2, "CorvetteTech")
	Player_GrantResearchOption(2, "FrigateTech")
	Player_GrantResearchOption(2, "ProbeSensorDisruption")
	Player_GrantResearchOption(2, "ProbeProxSensor")
	Player_GrantResearchOption(2, "LanceBeams")
	Player_GrantResearchOption(2, "PlasmaBombs")
	Player_GrantResearchOption(2, "CorvetteGraviticAttraction")
	Player_GrantResearchOption(2, "CorvetteLaser")
	Player_GrantResearchOption(2, "CorvetteCommand")
	Player_GrantResearchOption(2, "FrigateAssault")
	Player_GrantResearchOption(2, "FrigateInfiltrationTech")
	Player_GrantResearchOption(2, "HyperspaceGateTech")
	Player_GrantResearchOption(2, "RepairAbility")
	Player_GrantResearchOption(2, "ScoutEMPAbility")
	Player_GrantResearchOption(2, "BomberImprovedBombs")
	Player_GrantResearchOption(2, "SuperCapHealthUpgrade1")
	Player_GrantResearchOption(2, "SuperCapHealthUpgrade2")
	Player_GrantResearchOption(2, "SuperCapSpeedUpgrade1")
	Player_GrantResearchOption(2, "SuperCapSpeedUpgrade2")
	Player_GrantResearchOption(2, "FighterspeedUpgrade1")
	Player_GrantResearchOption(2, "FighterspeedUpgrade2")
	Player_GrantResearchOption(2, "CorvetteHealthUpgrade1")
	Player_GrantResearchOption(2, "CorvetteHealthUpgrade2")
	Player_GrantResearchOption(2, "CorvetteSpeedUpgrade1")
	Player_GrantResearchOption(2, "CorvetteSpeedUpgrade2")
	Player_GrantResearchOption(2, "FrigateHealthUpgrade1")
	Player_GrantResearchOption(2, "FrigateHealthUpgrade2")
	Player_GrantResearchOption(2, "FrigateSpeedUpgrade1")
	Player_GrantResearchOption(2, "SpeedUpgrade2")
	Player_GrantResearchOption(2, "UtilityHealthUpgrade1")
	Player_GrantResearchOption(2, "UtilityHealthUpgrade2")

	Player_GrantResearchOption(3, "CorvetteTech")
	Player_GrantResearchOption(3, "FrigateTech")
	Player_GrantResearchOption(3, "ProbeSensorDisruption")
	Player_GrantResearchOption(3, "ProbeProxSensor")
	Player_GrantResearchOption(3, "LanceBeams")
	Player_GrantResearchOption(3, "PlasmaBombs")
	Player_GrantResearchOption(3, "CorvetteGraviticAttraction")
	Player_GrantResearchOption(3, "CorvetteLaser")
	Player_GrantResearchOption(3, "CorvetteCommand")
	Player_GrantResearchOption(3, "FrigateAssault")
	Player_GrantResearchOption(3, "FrigateInfiltrationTech")
	Player_GrantResearchOption(3, "HyperspaceGateTech")
	Player_GrantResearchOption(3, "RepairAbility")
	Player_GrantResearchOption(3, "ScoutEMPAbility")
	Player_GrantResearchOption(3, "BomberImprovedBombs")
	Player_GrantResearchOption(3, "SuperCapHealthUpgrade1")
	Player_GrantResearchOption(3, "SuperCapHealthUpgrade2")
	Player_GrantResearchOption(3, "SuperCapSpeedUpgrade1")
	Player_GrantResearchOption(3, "SuperCapSpeedUpgrade2")
	Player_GrantResearchOption(3, "FighterspeedUpgrade1")
	Player_GrantResearchOption(3, "FighterspeedUpgrade2")
	Player_GrantResearchOption(3, "CorvetteHealthUpgrade1")
	Player_GrantResearchOption(3, "CorvetteHealthUpgrade2")
	Player_GrantResearchOption(3, "CorvetteSpeedUpgrade1")
	Player_GrantResearchOption(3, "CorvetteSpeedUpgrade2")
	Player_GrantResearchOption(3, "FrigateHealthUpgrade1")
	Player_GrantResearchOption(3, "FrigateHealthUpgrade2")
	Player_GrantResearchOption(3, "FrigateSpeedUpgrade1")
	Player_GrantResearchOption(3, "SpeedUpgrade2")
	Player_GrantResearchOption(3, "UtilityHealthUpgrade1")
	Player_GrantResearchOption(3, "UtilityHealthUpgrade2")

	Player_RestrictResearchOption(0, "MothershipHealthUpgrade1")
	Player_RestrictResearchOption(0, "MothershipHealthUpgrade2")
	Player_RestrictResearchOption(0, "MothershipMAXSPEEDUpgrade1")
	Player_RestrictResearchOption(0, "MothershipMAXSPEEDUpgrade2")
	Player_RestrictResearchOption(0, "MothershipBUILDSPEEDUpgrade1")
	Player_RestrictResearchOption(0, "ShipyardHealthUpgrade1")
	Player_RestrictResearchOption(0, "ShipyardHealthUpgrade2")
	Player_RestrictResearchOption(0, "ShipyardMAXSPEEDUpgrade1")
	Player_RestrictResearchOption(0, "ShipyardMAXSPEEDUpgrade2")
	Player_RestrictResearchOption(0, "ShipyardBUILDSPEEDUpgrade1")
	Player_RestrictResearchOption(0, "RadiationDefenseField")
	Player_RestrictResearchOption(0, "DamageMoverTech")

	Player_RestrictResearchOption(1, "MothershipBUILDSPEEDUpgrade1")
	Player_RestrictResearchOption(2, "MothershipBUILDSPEEDUpgrade1")
	Player_RestrictResearchOption(3, "MothershipBUILDSPEEDUpgrade1")
	Player_RestrictResearchOption(1, "CarrierBUILDSPEEDUpgrade1")
	Player_RestrictResearchOption(2, "CarrierBUILDSPEEDUpgrade1")
	Player_RestrictResearchOption(3, "CarrierBUILDSPEEDUpgrade1")

	-- Build options
	Player_RestrictBuildOption(0, "Hgn_Shipyard")
	Player_RestrictBuildOption(0, "Hgn_C_Module_PlatformControl")
	Player_RestrictBuildOption(0, "Hgn_C_Module_HyperspaceInhibitor")
	Player_RestrictBuildOption(0, "Hgn_C_Module_CloakGenerator")
	Player_RestrictBuildOption(0, "Hgn_C_Sensors_DetectHyperspace")
	Player_RestrictBuildOption(0, "Hgn_C_Sensors_DetectCloaked")

	Player_RestrictBuildOption(1, "Vgr_Shipyard")
	Player_RestrictBuildOption(1, "Vgr_C_Module_PlatformControl")
	Player_RestrictBuildOption(1, "Vgr_C_Module_CloakGenerator")
	Player_RestrictBuildOption(1, "Vgr_C_Sensors_DetectHyperspace")
	Player_RestrictBuildOption(1, "Vgr_C_Sensors_DetectCloaked")

	Player_RestrictBuildOption(2, "Vgr_Shipyard")
	Player_RestrictBuildOption(2, "Vgr_C_Module_PlatformControl")
	Player_RestrictBuildOption(2, "Vgr_C_Module_CloakGenerator")
	Player_RestrictBuildOption(2, "Vgr_C_Sensors_DetectHyperspace")
	Player_RestrictBuildOption(2, "Vgr_C_Sensors_DetectCloaked")
	
	Player_RestrictBuildOption(3, "Vgr_Shipyard")
	Player_RestrictBuildOption(3, "Vgr_C_Module_PlatformControl")
	Player_RestrictBuildOption(3, "Vgr_C_Module_CloakGenerator")
	Player_RestrictBuildOption(3, "Vgr_C_Sensors_DetectHyperspace")
	Player_RestrictBuildOption(3, "Vgr_C_Sensors_DetectCloaked")

	-- Dock ships
	SobGroup_DockSobGroupInstant("Hgn_fighters", "Baar_Ett")
	SobGroup_DockSobGroupInstant("Hgn_corvettes", "Veer_Kah")

	-- Set Alliances
	SetAlliance( 1, 2 )
	SetAlliance( 1, 3 )
	SetAlliance( 2, 1 )
	SetAlliance( 2, 3 )
	SetAlliance( 3, 1 )
	SetAlliance( 3, 2 )
	BreakAlliance(0,1)
	BreakAlliance(1,0)
	BreakAlliance(0,2)
	BreakAlliance(2,0)
	BreakAlliance(0,3)
	BreakAlliance(3,0)
	
	SobGroup_SetBuildSpeedMultiplier("Vgr_carriers", 1.0)
	SobGroup_SetBuildSpeedMultiplier("Vgr_asteroid_carrier", 1.0)

	-- Tactics
	Player_SetDefaultShipTactic(0, AggressiveTactics)
	Player_SetDefaultShipTactic(1, AggressiveTactics)
	Player_SetDefaultShipTactic(2, AggressiveTactics)
	Player_SetDefaultShipTactic(3, AggressiveTactics)

	Rule_Remove( "Rule_Init" )
end


function Rule_Vaygr_Raiders_End()
	if ( SobGroup_Empty( "Vgr_raider" ) == 1 ) then
	
		Event_Start( "IntelEvent_VaygrFleet" )

		Rule_Add( "Rule_Battlecruiser1_Launch" )
		Rule_Add( "Rule_Battlecruiser2_Launch" )
		Rule_Add( "Rule_Asteroid_Raid1" )
		Rule_Add( "Rule_Asteroid_Raid2" )
		Rule_Add( "Rule_Vaygr_Backup" )
		Rule_Remove( "Rule_Vaygr_Raiders_End" )
	end
end

function Rule_Battlecruiser1_Launch()
	if ( SobGroup_UnderAttack( "Vgr_main_battlecruiser1" ) == 1 ) then

		Event_Start( "IntelEvent_Battlecruiser1_Launch" )
		Rule_Remove( "Rule_Battlecruiser1_Launch" )
	end
end

function Rule_Battlecruiser2_Launch()
	if ( SobGroup_UnderAttack( "Vgr_main_battlecruiser2" ) == 1 ) then

		Event_Start( "IntelEvent_Battlecruiser2_Launch" )
		Rule_Remove( "Rule_Battlecruiser2_Launch" )
	end
end

function Rule_Asteroid_Raid1()
        
	Asteroid_Harvesters = Player_GetShipsByType( 0, "hgn_resourcecollector" )

        if ( SobGroup_IsDoingAbility( Asteroid_Harvesters, AB_Harvest ) == 1 )  and
           ( SobGroup_IsInVolume( Asteroid_Harvesters, 'AsteroidTrigger1' ) == 1 )then

		Event_Start( "IntelEvent_Asteroid_Raid1" )
		Rule_Add( "Rule_Asteroid_Raid1_End" )
		Rule_Remove( "Rule_Asteroid_Raid1" )
	end
end

function Rule_Asteroid_Raid1_End()
	if ( SobGroup_Empty( "Vgr_asteroid" ) == 1 ) then

		Event_Start( "IntelEvent_Asteroid_Raid1_Complete" )
		Rule_Remove( "Rule_Asteroid_Raid1_End" )
	end
end

function Rule_Asteroid_Raid2()

	Asteroid_Harvesters = Player_GetShipsByType( 0, "hgn_resourcecollector" )

        if ( SobGroup_IsDoingAbility( Asteroid_Harvesters, AB_Harvest ) == 1 )  and
           ( SobGroup_IsInVolume( Asteroid_Harvesters, 'AsteroidTrigger2' ) == 1 )then

		Event_Start( "IntelEvent_Asteroid_Raid2" )
		Rule_Add( "Rule_Asteroid_Raid2_End" )
		Rule_Remove( "Rule_Asteroid_Raid2" )
	end
end

function Rule_Asteroid_Raid2_End()
	if ( SobGroup_Empty( "Vgr_asteroid_carriergroup" ) == 1 ) then

		Event_Start( "IntelEvent_Asteroid_Raid2_Complete" )
		Rule_Remove( "Rule_Asteroid_Raid2_End" )
	end
end

function Rule_Vaygr_Backup()
	if ( SobGroup_HealthPercentage( "Vgr_carriers") < 0.8 ) then

		Event_Start( "IntelEvent_Vaygr_Backup" )
		Rule_Remove( "Rule_Vaygr_Backup" )
	end
end

function Rule_Player_Loses()
	if ( SobGroup_Empty( "Baar_Ett" ) == 1 ) then

		Objective_SetState( obj_prim_newobj_id, OS_Failed )
		Event_Start( "IntelEvent_BaarEttDestroyed" )
		Rule_Remove( "Rule_Player_Loses" )

	elseif ( SobGroup_Empty( "Veer_Kah" ) == 1 ) then

                Objective_SetState( obj_prim_newobj_id, OS_Failed )
                Event_Start( "IntelEvent_VeerKahDestroyed" )
                Rule_Remove( "Rule_Player_Loses" )
	end
end

function Rule_Player_Wins()
		--P1 = Player_NumberOfAwakeShip( 1 )
		--P2 = Player_NumberOfAwakeShip( 2 )
		--P3 = Player_NumberOfAwakeShip( 3 )

	if ((HW2_PlayerHasMilitary(1) < 1 ) and ( HW2_PlayerHasMilitary(2) < 1 ) and ( HW2_PlayerHasMilitary(3) < 1 )) then

		Objective_SetState( obj_prim_newobj_id, OS_Complete )
		Event_Start( "IntelEvent_PlayerWins" )
		Rule_Remove( "Rule_Player_Wins" )
	end
end

Events = {}

Events.IntelEvent_Intro = 
{
	{
		HW2_Letterbox( 1 ),
		{ "Sound_EnableAllSpeech(1)",""},
                { "Sound_SetMuteActor( 'Fleet' )",""},
		{ "Sound_EnterIntelEvent()","" },
		{ "Universe_EnableSkip( 0 )", "" },
		{ "Universe_AllowPlayerOrders( 0 )", "" },
                { "Camera_AllowControl( 0 )", "" },
		{ "Sensors_EnableCameraZoom( 0 )", "" },
	},
	{
		{ "Camera_Interpolate( 'Cam_Init', 'Cam_Hyper', 19 )", "" },
	},
	{
		HW2_Wait(2),
	},
	{
		HW2_LocationCardEvent( "$8000", 3 ),
	},
	{
		HW2_Wait(1),
	},
	{
		HW2_LocationCardEvent( "$8001", 4 ),
	},
	{
		HW2_Wait(1),
	},
	{
		HW2_LocationCardEvent( "$8002", 3 ),
	},
	{
		HW2_Wait(1),
	},
	{
		HW2_LocationCardEvent( "$8003", 4 ),
	},
	{
		{ "SobGroup_ExitHyperSpace( 'Baar_Ett', 'Enter_Baar_Ett' )", ""},
                { "SobGroup_ExitHyperSpace( 'Veer_Kah', 'Enter_Veer_Kah' )", ""},
                { "SobGroup_ExitHyperSpace( 'Torpedofrigate1', 'Enter_torpedofrigate_1' )", ""},
                { "SobGroup_ExitHyperSpace( 'Torpedofrigate2', 'Enter_torpedofrigate_2' )", ""},
                { "SobGroup_ExitHyperSpace( 'Assaultfrigate1', 'Enter_assaultfrigate1' )", ""},
                { "SobGroup_ExitHyperSpace( 'Ioncannonfrigate1', 'Enter_ioncannonfrigate_1' )", ""},
                { "SobGroup_ExitHyperSpace( 'Ioncannonfrigate2', 'Enter_ioncannonfrigate_2' )", ""},
                { "SobGroup_ExitHyperSpace( 'Assaultfrigate2', 'Enter_assaultfrigate2' )", ""},
                { "SobGroup_ExitHyperSpace( 'Destroyer1', 'Enter_destroyer1' )", ""},
                { "SobGroup_ExitHyperSpace( 'Destroyer2', 'Enter_destroyer2' )", ""},
                { "SobGroup_ExitHyperSpace( 'Resourcecontroller', 'Enter_controller' )", ""},
	},
	{
		HW2_Wait(2),
	},
	{
		HW2_SubTitleEvent( Actor_FleetIntel, "$8006", 5 ),
	},
	{
		{ "SobGroup_Launch( 'Hgn_fighters', 'Baar_Ett')", ""},
		{ "SobGroup_Launch( 'Hgn_corvettes', 'Veer_Kah')", ""},
	},
	{
		HW2_Wait(2),
	},
	{	
		HW2_LocationCardEvent( "$8004", 5 ),
	},
	{
		HW2_Wait(2),
	},
	{
		HW2_LocationCardEvent( "$8005", 5 ),
	},
	{
		HW2_Wait(2),
	},
	{
		{"Camera_Interpolate( 'Cam_Hyper', 'Cam_Vaygr', 4 )", "" },
	},
	{
		{ "Sound_MusicPlay( 'Data:sound/music/battle/battle_04' )", "" },
	},
	{
		{ "SobGroup_ExitHyperSpace( 'Vgr_raider_battlecruiser', 'Enter_vgr_raider_battlecruiser' )", ""},
		{ "SobGroup_ExitHyperSpace( 'Vgr_raider_heavymissilefrigate1', 'Enter_vgr_raider_heavymissilefrigate1' )", ""},
		{ "SobGroup_ExitHyperSpace( 'Vgr_raider_heavymissilefrigate2', 'Enter_vgr_raider_heavymissilefrigate2' )", ""},
	},
	{
		HW2_SubTitleEvent( Actor_FleetIntel, "$8007", 5 ),
	},
	{
		HW2_Wait(6),
	},
	{
		{ "Camera_Interpolate( 'Cam_Vaygr', 'Cam_Start', 2 )", "" },
	},
	{
		HW2_Letterbox( 0 ),
		HW2_Wait(2),
		{ "Sound_ExitIntelEvent()","" },
                { "Sound_SetMuteActor( '' )",""},
		{ "Universe_AllowPlayerOrders( 1 )", "" },
                { "Camera_AllowControl( 1 )", "" },
		{ "Sensors_EnableCameraZoom( 1 )", "" },
	},
	{
		{ "SobGroup_ExitHyperSpace( 'Vgr_raider_heavymissilefrigate3', 'Enter_vgr_raider_heavymissilefrigate3' )", ""},
		{ "SobGroup_ExitHyperSpace( 'Vgr_raider_heavymissilefrigate4', 'Enter_vgr_raider_heavymissilefrigate4' )", ""},
	},
	{
		{ "SobGroup_Spawn( 'Vgr_raider_strikecraft', 'Spawn_vgr_raider_strikecraft')", ""},
		{ "SobGroup_DockSobGroupInstant( 'Vgr_raider_strikecraft', 'Vgr_raider_battlecruiser')", ""},
		{ "SobGroup_Launch( 'Vgr_raider_strikecraft', 'Vgr_raider_battlecruiser')", ""},
		
	},
	{
		HW2_Wait(1)
	},
	{
		{ "obj_prim_newobj_id = Objective_Add( '$8950', OT_Primary )", "" },
		{ "Objective_AddDescription( obj_prim_newobj_id, '$8951')", "" },
		HW2_SubTitleEvent( Actor_FleetIntel, "$8008", 10 ),
	},
}

Events.IntelEvent_VaygrFleet =
{
	{
		HW2_Letterbox( 1 ),
		HW2_Wait(2),
		{ "Sound_EnableAllSpeech(1)",""},
                { "Sound_SetMuteActor( 'Fleet' )",""},
		{ "Sound_EnterIntelEvent()","" },
		{ "Universe_EnableSkip(0)", "" },
		{ "Universe_AllowPlayerOrders( 0 )", "" },
                { "Camera_AllowControl(0)", "" },
		{ "Sensors_EnableCameraZoom( 0 )", "" },
	},
	{
		HW2_SubTitleEvent( Actor_FleetIntel, "$8009", 5 ),
	},
	{
		{ "SobGroup_DockSobGroup( 'Hgn_fighters', 'Baar_Ett' )", "" },
		{ "SobGroup_DockSobGroup( 'Hgn_corvettes', 'Veer_Kah' )", "" },
	},
	{
		HW2_Wait(2)
	},
	{
		{ "Sensors_Toggle( 1 )", "" },
		{ "Sensors_Switch( 1 )", "" },
		{ "Camera_AltFocus( 'Vgr_carriers', 0)", ""},
		{ "Sensors_SetZoomOutDistance(18000)", ""},
		{ "ping_VaygrLocation = Ping_AddSobGroup ( '$8050', 'anomaly', 'Vgr_carriers' )", ""},
		{ "Ping_AddDescription(ping_VaygrLocation, 1, '$8051')", ""},
        },
	{
		HW2_SubTitleEvent( Actor_FleetIntel, "$8010", 7 ),
	},
	{
		HW2_Wait(2)
	},
	{
		HW2_SubTitleEvent( Actor_FleetIntel, "$8011", 7 ),
	},
	{
		HW2_Wait(4)
	},
	{
		{ "SobGroup_Spawn( 'Hgn_collectors', 'Spawn_collectors')", ""},
		{ "SobGroup_DockSobGroupInstant( 'Hgn_collectors', 'Baar_Ett')", ""},
		{ "SobGroup_Launch( 'Hgn_collectors', 'Baar_Ett')", ""},
	},
	{
		HW2_Letterbox( 0 ),
		HW2_Wait(2),
		{ "Sensors_Switch( 1 )", "" },
		{ "Camera_AltFocus( 'Mainfleet', 0)", ""},
		{ "Sound_ExitIntelEvent()","" },
                { "Sound_SetMuteActor( '' )",""},
		{ "Sensors_Toggle( 0 )", "" },
		{ "Universe_AllowPlayerOrders( 1 )", "" },
                { "Camera_AllowControl( 1 )", "" },
		{ "Sensors_EnableCameraZoom( 1 )", "" },
	},
	{
		-- Delay the event, on a random basis
		HW2_Wait( "RandomRange('240', '300')" ),
	},
	{
		{ "SobGroup_FollowPath( 'Vgr_main_battlecruiser1_group', 'Battlecruiser1_Assault_Path', 0, 0, 1)", ""},
	},
	{
		-- Delay the event, on a random basis
		HW2_Wait( "RandomRange('30', '60')" ),
	},
	{
		{ "SobGroup_FollowPath( 'Vgr_main_battlecruiser2_group', 'Battlecruiser2_Assault_Path', 0, 0, 1)", ""},
	},
}

Events.IntelEvent_Battlecruiser1_Launch =
{
	{
		{ "SobGroup_Spawn( 'Vgr_main_battlecruiser1_fightergroup', 'Spawn_vgr_battlecruiser1_fighters')", ""},
		{ "SobGroup_DockSobGroupInstant( 'Vgr_main_battlecruiser1_fightergroup', 'Vgr_main_battlecruiser1')", ""},
		{ "SobGroup_Launch( 'Vgr_main_battlecruiser1_fightergroup', 'Vgr_main_battlecruiser1')", ""},
	},
}

Events.IntelEvent_Battlecruiser2_Launch =
{
	{
		{ "SobGroup_Spawn( 'Vgr_main_battlecruiser2_fightergroup', 'Spawn_vgr_battlecruiser_fighters')", ""},
		{ "SobGroup_DockSobGroupInstant( 'Vgr_main_battlecruiser2_fightergroup', 'Vgr_main_battlecruiser2')", ""},
		{ "SobGroup_Launch( 'Vgr_main_battlecruiser2_fightergroup', 'Vgr_main_battlecruiser2')", ""},
	},
}

Events.IntelEvent_Asteroid_Raid1 =
{
	{
		-- Delay the event, on a random basis
		HW2_Wait( "RandomRange('180', '240')" ),
	},
	{
		{ "SobGroup_ExitHyperSpace( 'Vgr_asteroid_heavymissilefrigate1', 'Enter_vgr_asteroid_heavymissilefrigate1' )", ""},
		{ "SobGroup_ExitHyperSpace( 'Vgr_asteroid_heavymissilefrigate2', 'Enter_vgr_asteroid_heavymissilefrigate2' )", ""},
		{ "SobGroup_ExitHyperSpace( 'Vgr_asteroid_heavymissilefrigate3', 'Enter_vgr_asteroid_heavymissilefrigate3' )", ""},
		{ "SobGroup_ExitHyperSpace( 'Vgr_asteroid_assaultfrigate1', 'Enter_vgr_asteroid_assaultfrigate1' )", ""},
		{ "SobGroup_ExitHyperSpace( 'Vgr_asteroid_assaultfrigate2', 'Enter_vgr_asteroid_assaultfrigate2' )", ""},
		{ "SobGroup_ExitHyperSpace( 'Vgr_asteroid_destroyer1', 'Enter_vgr_asteroid_destroyer1' )", ""},
	},	
	{
		HW2_SubTitleEvent( Actor_FleetIntel, "$8101", 6 ),
	},
	{
		HW2_Wait(1),
	},
	{
		{ "ping_RaidersLocation = Ping_AddSobGroup ( '$8150', 'anomaly', 'Vgr_asteroid' )", "" },
		{ "Ping_AddDescription(ping_RaidersLocation, 1, '$8151')", "" },
		{ "obj_sec_asteroid1_id = Objective_Add( '$8952', OT_Secondary )", "" },
		{ "Objective_AddDescription( obj_sec_asteroid1_id, '$8953')", "" },
		HW2_SubTitleEvent( Actor_FleetIntel, "$8102", 5 ),
	},
	{
		HW2_Wait(5),
	},
	{
		{ "SobGroup_FollowPath( 'Vgr_asteroid', 'Asteroid_Raid1_Path', 0, 0, 1)", ""},
	},
}

Events.IntelEvent_Asteroid_Raid1_Complete =
{
	{
		HW2_SubTitleEvent( Actor_FleetIntel, "$8103", 5 ),
	},
	{
		{ "Ping_Remove( ping_RaidersLocation )", "" },
	},
	{
		{ "Objective_SetState( obj_sec_asteroid1_id, OS_Complete )", "" },
	},
}

Events.IntelEvent_Asteroid_Raid2 =
{
	{
		-- Delay the event, on a random basis
		HW2_Wait( "RandomRange('180', '600')" ),
	},
	{
		{ "SobGroup_ExitHyperSpace( 'Vgr_asteroid_carrier', 'Enter_vgr_asteroid_carrier' )", ""},
		{ "SobGroup_ExitHyperSpace( 'Vgr_asteroid_destroyer2', 'Enter_vgr_asteroid_destroyer2' )", ""},
		{ "SobGroup_ExitHyperSpace( 'Vgr_asteroid_heavymissilefrigate4', 'Enter_vgr_asteroid_heavymissilefrigate4' )", ""},
		{ "SobGroup_ExitHyperSpace( 'Vgr_asteroid_heavymissilefrigate5', 'Enter_vgr_asteroid_heavymissilefrigate5' )", ""},
	},
	{
		{ "Sensors_Toggle( 1 )", "" },
		{ "Sensors_Switch( 1 )", "" },
		{ "Sensors_SetZoomOutDistance (18000)", ""},
		{ "ping_CarrierLocation = Ping_AddSobGroup ( '$8152', 'anomaly', 'Vgr_asteroid_carrier' )", "" },
		{ "Ping_AddDescription(ping_CarrierLocation, 1, '$8153')", "" },
		{ "obj_sec_asteroid2_id = Objective_Add( '$8954', OT_Secondary )", "" },
		{ "Objective_AddDescription( obj_sec_asteroid2_id, '$8955')", "" },
		HW2_SubTitleEvent( Actor_FleetIntel, "$8111", 6 ),
        },
	{
		HW2_Wait(1),
	},
	{
		HW2_SubTitleEvent( Actor_FleetIntel, "$8112", 4 ),
	},
	{
		HW2_Wait(2),
	},
	{
		{ "Sensors_Toggle( 0 )", "" },
	},
	{
		HW2_Wait(1),
	},
	{
		{ "SobGroup_Spawn( 'Vgr_asteroid_strikecraft', 'Spawn_vgr_asteroid_strikecraft')", ""},
		{ "SobGroup_DockSobGroupInstant( 'Vgr_asteroid_strikecraft', 'Vgr_asteroid_carrier')", ""},
		{ "SobGroup_Launch( 'Vgr_asteroid_strikecraft', 'Vgr_asteroid_carrier')", ""},
	},
	{
		HW2_Wait(15),
	},
	{
		{ "SobGroup_FollowPath( Vgr_asteroid_strikecraft, Asteroid_Raid2_Path, 0, 0, 1)", ""},
	},

}

Events.IntelEvent_Asteroid_Raid2_Complete =
{
	{
		HW2_SubTitleEvent( Actor_FleetIntel, "$8113", 5 ),
	},
	{
		{ "Ping_Remove( ping_CarrierLocation )", "" },
	},
	{
		{ "Objective_SetState( obj_sec_asteroid2_id, OS_Complete )", "" },
	},

}

Events.IntelEvent_Vaygr_Backup =
{
	{
		HW2_SubTitleEvent( Actor_FleetIntel, "$8201", 5 ),
	},
	{
		HW2_Wait(6)
	},
	{
		{ "SobGroup_ExitHyperSpace( 'Vgr_backup_destroyer', 'Enter_vgr_backup_destroyer' )", ""},
		{ "SobGroup_ExitHyperSpace( 'Vgr_backup_heavymissilefrigate1', 'Enter_vgr_backup_heavymissilefrigate1' )", ""},
		{ "SobGroup_ExitHyperSpace( 'Vgr_backup_heavymissilefrigate2', 'Enter_vgr_backup_heavymissilefrigate2' )", ""},
		{ "SobGroup_ExitHyperSpace( 'Vgr_backup_assaultfrigate1', 'Enter_vgr_backup_assaultfrigate1' )", ""},
		{ "SobGroup_ExitHyperSpace( 'Vgr_backup_assaultfrigate2', 'Enter_vgr_backup_assaultfrigate2' )", ""},
	},
	{
		HW2_Wait(2)
	},
	{
		HW2_SubTitleEvent( Actor_FleetIntel, "$8202", 10 ),
	},
}

Events.IntelEvent_BaarEttDestroyed =
{
	{
		HW2_Letterbox(1),
		HW2_Wait(3),
		{ "Sound_EnableAllSpeech( 1 )",""},
		{ "Sound_EnterIntelEvent()","" },
		{ "Universe_EnableSkip( 0 )", "" },
		{ "Universe_AllowPlayerOrders( 0 )", "" },
		{ "Camera_AltFocus( 'Veer_Kah', 0)", ""},
	},
	{
		HW2_LocationCardEvent("$8301", 6),
	},
	{
		{ "Universe_AllowPlayerOrders( 1 )", "" },
		{ "setMissionComplete( 0 )", "" },
	},
}

Events.IntelEvent_VeerKahDestroyed =
{
	{
		HW2_Letterbox(1),
		HW2_Wait(3),
		{ "Sound_EnableAllSpeech( 1 )",""},
		{ "Sound_EnterIntelEvent()","" },
		{ "Universe_EnableSkip( 0 )", "" },
		{ "Universe_AllowPlayerOrders( 0 )", "" },
		{ "Camera_AltFocus( 'Veer_Kah', 0)", ""},
	},
	{
		HW2_LocationCardEvent("$8302", 6),
	},
	{
		{ "Universe_AllowPlayerOrders( 1 )", "" },
		{ "setMissionComplete( 0 )", "" },
	},
}

Events.IntelEvent_PlayerWins =
{
	{
		HW2_Letterbox(1),
		HW2_Fade(1),
		HW2_Wait(2),
		{ "Sound_EnableAllSpeech( 1 )",""},
		{ "Sound_EnterIntelEvent()","" },
		{ "Universe_EnableSkip( 0 )", "" },
		{ "Universe_AllowPlayerOrders( 0 )", "" },
		{ "SetSobGroup_Invulnerability( 'Veer_Kah' )", ""},
		{ "SetSobGroup_Invulnerability( 'Baar_Ett' )", ""},
	},
	{
		HW2_LocationCardEvent("$8401", 10),
	},
	{
		HW2_Wait(3),
	},
	{
		HW2_LocationCardEvent("$8402", 3),
	},
	{
		HW2_Wait(1),
	},
	{
		HW2_LocationCardEvent("$8403", 5),
	},
	{
		HW2_Wait(1),
	},
	{
		HW2_LocationCardEvent("$8404", 6),
	},
	{
		HW2_Wait(1),
	},
	{
		HW2_LocationCardEvent("$8405", 6),
	},
	{
		HW2_Wait(1),
	},
	{
		HW2_LocationCardEvent("$8406", 6),
	},
	{
		HW2_Wait(1),
	},
	{
		HW2_LocationCardEvent("$8407", 6),
	},
	{
		HW2_Wait(2),
	},
	{
		{ "Universe_AllowPlayerOrders( 1 )", "" },
		{ "setMissionComplete( 1 )", "" },
    	},
}